<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####


if (strpos($HTTP_USER_AGENT,"IE") > 0)
	$chars = "110";
else
	$chars = "64";

if($confixx_interface_version == 'classic20') {
?>

<script>
top.fraHelp.document.forms[0].txtHelp.value='';
</script>

<?
}
global $fehlertext, $fehlertitel, $noFehlerJS;
if (isset($fehlertext) && strlen($fehlertext) < $chars && !$noFehlerJS && $confixx_interface_version == 'classic20') { 

	$trans = get_html_translation_table(HTML_ENTITIES);
	$trans = array_flip($trans);
	$fehlertext = strtr($fehlertext, $trans);
?>

<script>
top.fraHelp.document.forms[0].txtHelp.value='<? echo strip_tags($fehlertext); ?>';
</script>

<? 
	unset($fehlertext);		// error is shown.
} 

include_once('module.Informer.php');

if( defined('CONFIXX_ADMIN') && $GLOBALS['checkupdates'] && $newversions = check_new_versions())
{
	//message(NOTE, $GLOBALS['version']);
	foreach ($newversions as $versionid => $versionnum)
	{
		message(NOTE, ltext('upd_alert_nv', array($versionnum, 'newversion.php?vid=' . $versionid)));
	}
}
// for compatibility with old versions
if (isset($fehlertext)) {
	message(NOTE, $fehlertext);
}

{	// hide $informer_presentation_obj to avoid future name conflicts
	global $informer_obj;
	$informer_presentation_obj = new InformerPresentation($informer_obj);
	$informer_presentation_obj->show();
}
?>
